import { IImportRaceResultsApiPresenter, ImportRaceResultsApiResultDTO, ImportRaceResultsSummaryViewModel } from '@core/racing/application/presenters/IImportRaceResultsApiPresenter';

export class ImportRaceResultsApiPresenter implements IImportRaceResultsApiPresenter {
  private result: ImportRaceResultsSummaryViewModel | null = null;

  reset() {
    this.result = null;
  }

  present(dto: ImportRaceResultsApiResultDTO) {
    this.result = dto;
  }

  getViewModel(): ImportRaceResultsSummaryViewModel | null {
    return this.result;
  }
}